MidSteering = {};

function MidSteering.prerequisitesPresent(specializations)
    return true;
end;

function MidSteering:load(xmlFile)
	self.MidJoint = Utils.getNoNil(getXMLInt(xmlFile, "vehicle.MidSteering#MidJoint"), 0);
	self.MidOrientation = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.MidSteering#wheelOrientation"));
end;

function MidSteering:delete()
end;

function MidSteering:mouseEvent(posX, posY, isDown, isUp, button)
end;

function MidSteering:keyEvent(unicode, sym, modifier, isDown)
end;

function MidSteering:update(dt)
	if self.isMotorStarted then
		if self.MidJoint ~= 0 then
			setJointFrame(self.componentJoints[self.MidJoint].jointIndex , 0, self.componentJoints[self.MidJoint].jointNode);   
			local x, y, z = getRotation(self.MidOrientation);	    
			setRotation(self.MidOrientation, 0,y,0);
		end;
	end;
end;

function MidSteering:draw()   

end;

function MidSteering:onLeave()
	
end;

function MidSteering:onEnter()
end;
